
set echo on

CREATE TABLE tracefile_xt
( line  NUMBER
, text  VARCHAR2(4000)
)
ORGANIZATION EXTERNAL
(
  TYPE ORACLE_LOADER
  DEFAULT DIRECTORY trace_dir
  ACCESS PARAMETERS
  (
     RECORDS DELIMITED BY NEWLINE
     NOLOGFILE
     FIELDS TERMINATED BY WHITESPACE
     (
        line RECNUM
     ,  text POSITION(1:4000)
     )
  )
  LOCATION ('')
)
REJECT LIMIT UNLIMITED;

