-- orasrp.sql
-- ---------------------------------------------------------

-- Setup for Windows or *nix client...
  define _browser_cmd = "start"       -- Windows
  define _tmpdir      = "C:\Temp"     -- Windows
--define _browser_cmd = "firefox"     -- *nix
--define _tmpdir      = "/tmp"        -- *nix


-- Initialise "1" to enable an optional script parameter...
set termout off
col 1 new_value 1
SELECT NULL AS "1"
FROM   dual
WHERE  1=2;

-- Set the tracefile name (if not supplied, fetch it)...
col tracefile new_value _tracefile
SELECT CASE
          WHEN '&1' IS NOT NULL
          THEN '&1'
          ELSE REGEXP_SUBSTR(value, '[^/]+$')
       END AS tracefile
FROM   v$diag_info
WHERE  name = 'Default Trace File';

-- Set the external table location...
ALTER TABLE orasrp_xt LOCATION ('&_tracefile');

-- Store the sqlplus settings...
store set &_tmpdir/sqlplus_settings.sql replace

-- Query the external table and spool to file...
set head off pages 0 lines 2000 trimspool on feed off echo off
col text format a4000
spool &_tmpdir/&_tracefile..html
SELECT text
FROM   orasrp_xt;
spool off

-- Open the HTML report in a browser...
host &_browser_cmd &_tmpdir/&_tracefile..html &

-- Restore settings...
@&_tmpdir/sqlplus_settings.sql
set termout on
undefine "1"
undefine _tracefile
undefine _browser_cmd
undefine _tmpdir
