
-- tkprof.sql
-- ---------------------------------------------------------

-- Initialise "1" to enable an optional script parameter...
set termout off
col 1 new_value 1
SELECT NULL AS "1"
FROM   dual
WHERE  1=2;

-- Set the tracefile name (if not supplied, fetch it)...
col tracefile new_value _tracefile
SELECT CASE
          WHEN '&1' IS NOT NULL
          THEN '&1'
          ELSE REGEXP_SUBSTR(value, '[^/]+$')
       END AS tracefile
FROM   v$diag_info
WHERE  name = 'Default Trace File';

-- Set the external table location...
ALTER TABLE tkprof_xt LOCATION ('&_tracefile');

-- Query the external table...
set termout on
set lines 150
col text format a130
SELECT *
FROM   tkprof_xt;

undefine "1"
undefine _tracefile

